function  [RV, mdot_values , tstar_values] =  main_RV_withhold_strategy_PA_MAG


%% Parameter
par.a1 = 0.7;
par.a2 = 0.3;
par.b1 = 0.2;
par.b3 = 0.1;
par.l1 = 1;
par.l2 = 4;
par.del = 0.2;
par.lam = 1-par.a1+par.b1;
par.f1 = 0.5;
par.steps = 100;
par.SimEnd = 40;

alp_y = 0.5;

shock_true.t0 = 0.01;
shock_true.T = 2;
shock_true.t1 = 5;
shock_true.bet0 = 0;
shock_true.bet1 = 0;
shock_true.s0 = 0;
shock_true.mdot = 3;
shock_true.mdot2 = 0;

%% Generate Dynamics
mdot_values =  [1.5 4];

tstar_values = 0:.25:2;

for ind =  1:length(mdot_values);
    

    for ind2 = 1:length(tstar_values);
        
        shock_ant.t0 = shock_true.t0;
        shock_ant.T =  shock_true.T;
        shock_ant.t1 = shock_true.t1;
        shock_ant.bet0 = shock_true.bet0;
        shock_ant.bet1 = shock_true.bet1;
        shock_ant.s0 = shock_true.s0;
        shock_ant.mdot = mdot_values(ind);
        shock_ant.mdot2 = shock_true.mdot2;
        
        tstar = tstar_values(ind2);
        
        output_a =  Generate_Dynamics( par , shock_ant , shock_true , tstar );
        
        loss_fct = sum(output_a.pi'.^2./par.steps + alp_y *  output_a.y'.^2/par.steps,1);        
        
        
        if  mdot_values(ind) < shock_true.mdot
            
            y_t_tstar.underestimate(:,ind2) = output_a.y';
            pi_t_tstar.underestimate(:,ind2) = output_a.pi';
            
            loss.underestimate(ind2) = loss_fct;
            
        elseif mdot_values(ind) > shock_true.mdot
            
            y_t_tstar.overestimate(:,ind2) = output_a.y';
            pi_t_tstar.overestimate(:,ind2) = output_a.pi';
            loss.overestimate(ind2) = loss_fct;
            
        end

        
        if tstar == 0;
            
            yy_baseline = output_a.y';
            ppi_baseline = output_a.pi';

            loss_baseline = loss_fct;
            
        end
        
    end
    
end

%% Relative volatilites
RV.underest_size.y  = RV_overall(y_t_tstar.underestimate,yy_baseline);
RV.underest_size.pi = RV_overall(pi_t_tstar.underestimate,ppi_baseline);
RV.underest_size.loss = loss.underestimate / loss_baseline;

RV.overest_size.y  = RV_overall(y_t_tstar.overestimate,yy_baseline);
RV.overest_size.pi = RV_overall(pi_t_tstar.overestimate,ppi_baseline);
RV.overest_size.loss = loss.overestimate / loss_baseline;



    function output = std_mean0(input)
        output = (sum(input.^2./par.steps));
    end

    function output = RV_overall(input, baselineval)
        
        STD = std_mean0(input);
        
        STD_base = std_mean0(baselineval);
        
        output = STD/STD_base;
    end


end