function main_responses_PA_EXIT

%% Parameter
par.a1 = 0.7;
par.a2 = 0.3;
par.b1 = 0.2;
par.b3 = 0.1;
par.l1 = 1;
par.l2 = 4;
par.del = 0.2;
par.lam = 1-par.a1+par.b1;
par.f1 = 0.5;
par.steps = 100;
par.SimEnd = 40;


%% FA scenario
shock_true.t0 = 0.5;
shock_true.T = 2;
shock_true.t1 = 5;
shock_true.bet0 = 0;
shock_true.bet1 = 0;
shock_true.s0 = 0;
shock_true.mdot = 3;
shock_true.mdot2 = 0;

shock_ant.t0 = shock_true.t0;
shock_ant.T = shock_true.T;
shock_ant.t1 = shock_true.t1;
shock_ant.bet0 = shock_true.bet0;
shock_ant.bet1 = shock_true.bet1;
shock_ant.s0 = shock_true.s0;
shock_ant.mdot = shock_true.mdot;
shock_ant.mdot2 = shock_true.mdot2;

tstar = shock_true.T;

output_a =  Generate_Dynamics( par , shock_ant , shock_true , tstar );

%% PA-EXIT (E(t1) < t1)

shock_ant.t0 = shock_true.t0;
shock_ant.T = shock_true.T;
shock_ant.t1 = 4;
shock_ant.bet0 = shock_true.bet0;
shock_ant.bet1 = shock_true.bet1;
shock_ant.s0 = shock_true.s0;
shock_ant.mdot = shock_true.mdot;
shock_ant.mdot2 = shock_true.mdot2;

tstar = min(shock_ant.t1, shock_true.t1);

output_b =  Generate_Dynamics( par , shock_ant , shock_true , tstar );


%% PA-EXIT (E(t1) > t1)

shock_ant.t0 = shock_true.t0;
shock_ant.T = shock_true.T;
shock_ant.t1 = 6;
shock_ant.bet0 = shock_true.bet0;
shock_ant.bet1 = shock_true.bet1;
shock_ant.s0 = shock_true.s0;
shock_ant.mdot = shock_true.mdot;
shock_ant.mdot2 = shock_true.mdot2;

tstar = min(shock_ant.t1, shock_true.t1);

output_c =  Generate_Dynamics( par , shock_ant , shock_true , tstar );


%% Plots
tend = 10;

plot_responses_4(par, tend, output_a , output_b, output_c)
legend('E(t_1)=t_1 (FA)','E(t_1)<t_1 (PA)','E(t_1)>t_1 (PA)');
set(gcf,'PaperUnits','normalized');
set(gcf,'PaperPosition', [0 0 1 0.5]);
print('-dpsc2','fig_sect3_IRF_PA-EXIT.eps')

