function plot_responses_4(par, tend, output_a , output_b , output_c , output_d)

tt = 0:1/par.steps:(length(output_a.y)-1)/par.steps;

colkk = ['k- '; 'k--'; 'k-.'; 'k: '; 'k  '];


if nargin == 5;

figure

subplot(2,2,1);
plot([0 output_a.mr], [0 output_a.tau],colkk(1,:), [0 output_b.mr], [0 output_b.tau],colkk(2,:),[0 output_c.mr], [0 output_c.tau],colkk(3,:));
axis('tight'); yy = xlim; xlim([yy(1)-0.05 0.05])
hold on; plot(0,0,'k.','Markers',15);
title('Phase plane'); xlabel('Real money stock');ylabel('Terms of trade')

subplot(2,2,2);
plot(tt, output_a.dm_ant,colkk(1,:), tt, output_b.dm_ant,colkk(2,:),tt, output_c.dm_ant,colkk(3,:));
xlim([0 tend]); ylim([-.1 4]);
title('Expected money growth in t=0'); xlabel('Time')

subplot(2,2,3);
plot(tt, output_a.y,colkk(1,:), tt, output_b.y,colkk(2,:),tt, output_c.y,colkk(3,:));
axis('tight'); xlim([0 tend]);
title('Output'); xlabel('Time')

subplot(2,2,4);plot(tt, output_a.pi,colkk(1,:), tt, output_b.pi,colkk(2,:),tt, output_c.pi,colkk(3,:));
axis('tight'); xlim([0 tend]);
title('Inflation rate'); xlabel('Time')

end

if nargin == 6;

figure

subplot(2,2,1);
plot([0 output_a.mr], [0 output_a.tau],colkk(1,:), [0 output_b.mr], [0 output_b.tau],colkk(2,:),[0 output_c.mr], [0 output_c.tau],colkk(3,:),[0 output_d.mr], [0 output_d.tau],colkk(4,:));
axis('tight'); yy = xlim; xlim([yy(1)-0.05 0.05])
hold on; plot(0,0,'k.','Markers',15);
title('Phase plane'); xlabel('Real money stock');ylabel('Terms of trade')

subplot(2,2,2);
plot(tt, output_a.dm_ant,colkk(1,:), tt, output_b.dm_ant,colkk(2,:),tt, output_c.dm_ant,colkk(3,:),tt, output_d.dm_ant,colkk(4,:));
xlim([0 tend]); ylim([-.1 4]);
title('Expected money growth in t=0'); xlabel('Time')

subplot(2,2,3);
plot(tt, output_a.y,colkk(1,:), tt, output_b.y,colkk(2,:),tt, output_c.y,colkk(3,:),tt, output_d.y,colkk(4,:));
axis('tight'); xlim([0 tend]);
title('Output'); xlabel('Time')

subplot(2,2,4);plot(tt, output_a.pi,colkk(1,:), tt, output_b.pi,colkk(2,:),tt, output_c.pi,colkk(3,:),tt, output_d.pi,colkk(4,:));
axis('tight'); xlim([0 tend]);
title('Inflation rate'); xlabel('Time')

end


